#include <stdio.h>
#include <stdlib.h>

/*!
 * \fn void affichePremierChoix(Partie * p, int * i)
 * \brief La fonction affiche le choix offert et modifie la variable entiere donnee en entree.
 *
 * \param un pointeur vers le premier caractere d'un tableau (il contient le nom du Joueur, voir le controleur), un pointeur vers un entier representant la variable de choix a modifier.
 */
void affichePremierChoix(char * c, int * i){
    printf("%s : Que voulez-vous faire?\n 1-Slectionner un personnage\n 2-Fin du tour\n", c);
    scanf("%d",i);
    printf("\n");
}

/*!
 * \fn void afficherEntrerCoordonnees(int * cX, int * cY)
 * \brief La fonction affiche une requete au Joueur et modifie les variable entiere pointee par les entrees en fonction des entrees clavier.
 *
 * \param les pointeurs vers les entiers representant les coordonnees a modifier.
 */
 void afficherEntrerCoordonnees(int * cX, int * cY){
    printf("Entrez une abscisse : x = ");
    scanf("%d",cX);
    printf("\n");
    printf("Entrez une ordonne : y = ");
    scanf("%d",cY);
    printf("\n");
 }

 /*!
 * \fn void afficherChoixImpossible()
 * \brief La fonction affiche un message
 */
 void afficherChoixImpossible(){
    printf("Vous ne pouvez pas faire a.");
 }

 /*!
 * \fn  void afficheFinTour(char * c)
 * \brief La fonction affiche une un message de fin de tour.
 *
 * \param Un pointeur vers le premier caractere du nom du Joueur dont ca va etre le tour (voir l'appel dans controlleur.c)
 */
 void afficheFinTour(char * c){
    printf("Fin du tour.\n Nouveau tour : Tour de %s",c);
 }

  /*!
 * \fn  void afficheEtatPersonnage(char * nomJoueur, char * nomPersonnage, char * nomClasse, int * caracteristiques)
 * \brief La fonction affiche les informations concernant l'etat d'un Personnage
 *
 * \param Un pointeur vers des chaines de caracteres et un tableau d'entier representant respectivement :
 *        le nom du Joueur possedant le Personnage
 *        le nom du Personnage
 *        le nom de sa Classe
 *        ses points de vie actuels et maximum
 *        son mana actuel et maximum
 *        ses points de deplacement actuels et maximum
 */
 void afficheCaracteristiquesPersonnage(char * nomJoueur, char * nomPersonnage, char * nomClasse, int * caracteristiques){
    printf("%s : %s\n %s \n", nomPersonnage, nomClasse, nomJoueur);
    printf("PV : %d/%d \n Mana : %d/%d \n PD : %d/%d \n", caracteristiques[0], caracteristiques[1], caracteristiques[2], caracteristiques[3], caracteristiques[4], caracteristiques[5]);
 }

 /*!
 * \fn void affichePremierChoix(Partie * p, int * i)
 * \brief La fonction affiche le choix offert pour l'action d'un Personnage et modifie la variable entiere donnee en entree.
 *
 * \param un pointeur vers les premiers caracteres de tableaux (ils contiennent le nom du Joueur et le nom du Personnage respectivement, voir le controleur),
 *        un pointeur vers un entier representant la variable de choix a modifier.
 */
 void afficheChoixActionPersonnage(char * nJ, char * nP, int * i){
    printf("%s : %s \n Que voulez vous faire ?\n", nJ,nP);
    printf("1- Attaque \n 2- Dplacement \n 3- Retour  la selection de Personnage \n, Fin du Tour");
    scanf("%d",i);
 }
